- Qt 6.7
- Qt Quick 3D Physics
- QML Types
- BoxShape
- Qt Quick 3D Physics | Commercial or GPLv3

# BoxShape QML Type

Defines a box collision shape. More...

Import Statement: | import QtQuick3D.Physics
Since: | Qt 6.4
Inherits: | CollisionShape

- List of all members, including inherited members

## Properties

- extents : vector3d

## Detailed Description

This type defines a box collision shape. The origin is at the center of the box.

Note: A non-uniform scaling transformation will scale the x, y and z directions individually. However, combining non-uniform scale and rotation may lead to shearing, which will not be applied to the BoxShape: it will always be a rectilinear box.

See also Shapes and Bodies overview documentation.

## Property Documentation

extents : vector3d

This property defines the extents of the box in the x, y and z directions.